package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class ProductMaster implements Comparable<ProductMaster>, Serializable {
    @SerializedName("ProductId")
    @Expose
    private Integer productId;
    @SerializedName("LorealCode")
    @Expose
    private String lorealCode;
    @SerializedName("ProductName")
    @Expose
    private String productName;

    @SerializedName("NuanceId")
    @Expose
    private Integer nuanceId;
    @SerializedName("NuanceName")
    @Expose
    private String nuanceName;
    @SerializedName("SubAxeId")
    @Expose
    private Integer subAxeId;
    @SerializedName("SubAxeName")
    @Expose
    private String subAxeName;
    @SerializedName("AxeId")
    @Expose
    private Integer axeId;
    @SerializedName("AxeName")
    @Expose
    private String axeName;
    @SerializedName("ReferenceId")
    @Expose
    private Integer referenceId;
    @SerializedName("ReferenceName")
    @Expose
    private String referenceName;
    @SerializedName("SubBrandId")
    @Expose
    private Integer subBrandId;
    @SerializedName("SubBrandName")
    @Expose
    private String subBrandName;
    @SerializedName("BrandId")
    @Expose
    private Integer brandId;
    @SerializedName("BrandName")
    @Expose
    private String brandName;
    @SerializedName("SignatureId")
    @Expose
    private Integer signatureId;
    @SerializedName("SignatureName")
    @Expose
    private String signatureName;

    @SerializedName("EanCode")
    @Expose
    private String eanCode;
    @SerializedName("Mrp")
    @Expose
    private Integer mrp;

    @SerializedName("VisitDate")
    @Expose
    private  String visit_date;

    private String InvId= "";

    public String getKeyId() {
        return keyId;
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    String keyId = "";

    public String getUploadStatus() {
        return uploadStatus;
    }

    public void setUploadStatus(String uploadStatus) {
        this.uploadStatus = uploadStatus;
    }

    String uploadStatus = "";

    public String getInvId() {
        return InvId;
    }

    public void setInvId(String invId) {
        InvId = invId;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    @SerializedName("ProductType")
    @Expose
    private String productType;

    private String actualQty = "";
    boolean confirmChecked = false;
    private int reasonId = 0;
    private String Transaction_Id="";
    private String Invoice_Status = "0";
    private String source = "";
    private String counter_id = "";
    private String invoice_number="";
    private String invoice_type="";
    private String user_id ="";
    private String invoice_date = "";
    private String draft_status = "";
    private String upload_status = "";

    public String getInvoice_img() {
        return invoice_img;
    }

    public void setInvoice_img(String invoice_img) {
        this.invoice_img = invoice_img;
    }

    private String invoice_img="";
    public String getUpload_status() {
        return upload_status;
    }

    public void setUpload_status(String upload_status) {
        this.upload_status = upload_status;
    }

    public String getDraft_status() {
        return draft_status;
    }

    public void setDraft_status(String draft_status) {
        this.draft_status = draft_status;
    }

    public String getInvoice_date() {
        return invoice_date;
    }

    public void setInvoice_date(String invoice_date) {
        this.invoice_date = invoice_date;
    }

    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }

    public String getInvoice_number() {
        return invoice_number;
    }

    public void setInvoice_number(String invoice_number) {
        this.invoice_number = invoice_number;
    }

    public String getInvoice_type() {
        return invoice_type;
    }

    public void setInvoice_type(String invoice_type) {
        this.invoice_type = invoice_type;
    }

    public String getCounter_id() {
        return counter_id;
    }

    public void setCounter_id(String counter_id) {
        this.counter_id = counter_id;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getTransaction_Id() {
        return Transaction_Id;
    }

    public void setTransaction_Id(String transaction_Id) {
        Transaction_Id = transaction_Id;
    }

    public String getInvoice_Status() {
        return Invoice_Status;
    }

    public void setInvoice_Status(String invoice_Status) {
        Invoice_Status = invoice_Status;
    }

    public int getReasonId() {
        return reasonId;
    }

    public void setReasonId(int reasonId) {
        this.reasonId = reasonId;
    }

    public boolean isConfirmChecked() {
        return confirmChecked;
    }

    public void setConfirmChecked(boolean confirmChecked) {
        this.confirmChecked = confirmChecked;
    }

    public String getActualQty() {
        return actualQty;
    }

    public void setActualQty(String actualQty) {
        this.actualQty = actualQty;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    String imagePath = "";

    public Integer getProductId() {
        return productId;
    }

    public String getEanCode() {
        return eanCode;
    }

    public void setEanCode(String eanCode) {
        this.eanCode = eanCode;
    }

    public Integer getMrp() {
        return mrp;
    }

    public void setMrp(Integer mrp) {
        this.mrp = mrp;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getLorealCode() {
        return lorealCode;
    }

    public void setLorealCode(String lorealCode) {
        this.lorealCode = lorealCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }


    public Integer getNuanceId() {
        return nuanceId;
    }

    public void setNuanceId(Integer nuanceId) {
        this.nuanceId = nuanceId;
    }

    public String getNuanceName() {
        return nuanceName;
    }

    public void setNuanceName(String nuanceName) {
        this.nuanceName = nuanceName;
    }

    public Integer getSubAxeId() {
        return subAxeId;
    }

    public void setSubAxeId(Integer subAxeId) {
        this.subAxeId = subAxeId;
    }

    public String getSubAxeName() {
        return subAxeName;
    }

    public void setSubAxeName(String subAxeName) {
        this.subAxeName = subAxeName;
    }

    public Integer getAxeId() {
        return axeId;
    }

    public void setAxeId(Integer axeId) {
        this.axeId = axeId;
    }

    public String getAxeName() {
        return axeName;
    }

    public void setAxeName(String axeName) {
        this.axeName = axeName;
    }

    public Integer getReferenceId() {
        return referenceId;
    }

    public void setReferenceId(Integer referenceId) {
        this.referenceId = referenceId;
    }

    public String getReferenceName() {
        return referenceName;
    }

    public void setReferenceName(String referenceName) {
        this.referenceName = referenceName;
    }

    public Integer getSubBrandId() {
        return subBrandId;
    }

    public void setSubBrandId(Integer subBrandId) {
        this.subBrandId = subBrandId;
    }

    public String getSubBrandName() {
        return subBrandName;
    }

    public void setSubBrandName(String subBrandName) {
        this.subBrandName = subBrandName;
    }

    public Integer getBrandId() {
        return brandId;
    }

    public void setBrandId(Integer brandId) {
        this.brandId = brandId;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public Integer getSignatureId() {
        return signatureId;
    }

    public void setSignatureId(Integer signatureId) {
        this.signatureId = signatureId;
    }

    public String getSignatureName() {
        return signatureName;
    }

    public void setSignatureName(String signatureName) {
        this.signatureName = signatureName;
    }

    private int stock = -1;
    private int stock_receive = 0;

    public int getSaleable_stock() {
        return saleable_stock;
    }

    public void setSaleable_stock(int saleable_stock) {
        this.saleable_stock = saleable_stock;
    }

    private int saleable_stock = 0;

    public int getBlockproductId() {
        return blockproductId;
    }

    public void setBlockproductId(int blockproductId) {
        this.blockproductId = blockproductId;
    }

    private int blockproductId=0;
    private int resion_id = 0;
    private String resion = "";


    public int getResion_id() {
        return resion_id;
    }

    public void setResion_id(int resion_id) {
        this.resion_id = resion_id;
    }

    public String getResion() {
        return resion;
    }

    public void setResion(String resion) {
        this.resion = resion;
    }

    public int getStock_receive() {
        return stock_receive;
    }

    public void setStock_receive(int stock_receive) {
        this.stock_receive = stock_receive;
    }

    public int getStock() {
        return stock;
    }

    public void setStock(int stock) {
        this.stock = stock;
    }

    public String getConsumer_name() {
        return consumer_name;
    }

    public void setConsumer_name(String consumer_name) {
        this.consumer_name = consumer_name;
    }

    String consumer_name;

    public String getVisit_date() {
        return visit_date;
    }

    public void setVisit_date(String visit_date) {
        this.visit_date = visit_date;
    }

    public String getConsumer_qty() {
        return consumer_qty;
    }

    public void setConsumer_qty(String consumer_qty) {
        this.consumer_qty = consumer_qty;
    }

    String consumer_qty;

    public String getMobile_no() {
        return mobile_no;
    }

    public void setMobile_no(String mobile_no) {
        this.mobile_no = mobile_no;
    }

    String mobile_no;

    boolean isSelected = false;

    public boolean isSelected() {
        return isSelected;
    }

    /**
     * @param isSelected the isSelected to set
     */
    public void setSelected(boolean isSelected) {
        this.isSelected = isSelected;
    }


    @Override
    public int compareTo(ProductMaster productMaster) {
        return 0;
    }

    public double getSaleValue() {
        return saleValue;
    }

    public void setSaleValue(double saleValue) {
        this.saleValue = saleValue;
    }

    public double saleValue =0.0;

    public int getMaster_transaction_id() {
        return master_transaction_id;
    }

    public void setMaster_transaction_id(int master_transaction_id) {
        this.master_transaction_id = master_transaction_id;
    }

    int master_transaction_id=0;
    String stock_type="";

    public String getStock_type() {
        return stock_type;
    }

    public void setStock_type(String stock_type) {
        this.stock_type = stock_type;
    }

    public String getEntry_type() {
        return entry_type;
    }

    public void setEntry_type(String entry_type) {
        this.entry_type = entry_type;
    }

    String entry_type="";


}

